#define HAVE_DISPLAY

#include CONFIG

/**
 * Default settings 
 */
#ifndef CFG_DISPLAY_X11_FONT
	#define CFG_DISPLAY_X11_FONT "-misc-fixed-medium-r-normal-*-13-*-*-*-*-*-*-1"
#endif

#ifndef CFG_DISPLAY_WHEEL_SCROLL
	#define CFG_DISPLAY_WHEEL_SCROLL 3
#endif


#if CFG_DISPLAY_VGA_COLORS
	#define CFG_DISPLAY_COLOR_0  "#000000"
	#define CFG_DISPLAY_COLOR_1  "#aa0000"
	#define CFG_DISPLAY_COLOR_2  "#00aa00"
	#define CFG_DISPLAY_COLOR_3  "#aa5500"
	#define CFG_DISPLAY_COLOR_4  "#0000aa"
	#define CFG_DISPLAY_COLOR_5  "#aa00aa"
	#define CFG_DISPLAY_COLOR_6  "#00aaaa"
	#define CFG_DISPLAY_COLOR_7  "#aaaaaa"
	#define CFG_DISPLAY_COLOR_8  "#555555"
	#define CFG_DISPLAY_COLOR_9  "#ff5555"
	#define CFG_DISPLAY_COLOR_10 "#55ff55"
	#define CFG_DISPLAY_COLOR_11 "#ffff55"
	#define CFG_DISPLAY_COLOR_12 "#5555ff"
	#define CFG_DISPLAY_COLOR_13 "#ff55ff"
	#define CFG_DISPLAY_COLOR_14 "#55ffff"
	#define CFG_DISPLAY_COLOR_15 "#ffffff"
#else

#ifndef CFG_DISPLAY_COLOR_0
	#define CFG_DISPLAY_COLOR_0 "#000000"
#endif

#ifndef CFG_DISPLAY_COLOR_1
	#define CFG_DISPLAY_COLOR_1 "#cd0000"
#endif

#ifndef CFG_DISPLAY_COLOR_2
	#define CFG_DISPLAY_COLOR_2 "#00cd00"
#endif

#ifndef CFG_DISPLAY_COLOR_3
	#define CFG_DISPLAY_COLOR_3 "#cdcd00"
#endif

#ifndef CFG_DISPLAY_COLOR_4
	#define CFG_DISPLAY_COLOR_4 "#1e90ff"
#endif

#ifndef CFG_DISPLAY_COLOR_5
	#define CFG_DISPLAY_COLOR_5 "#cd00cd"
#endif

#ifndef CFG_DISPLAY_COLOR_6
	#define CFG_DISPLAY_COLOR_6 "#00cdcd"
#endif

#ifndef CFG_DISPLAY_COLOR_7
	#define CFG_DISPLAY_COLOR_7 "#e5e5e5"
#endif

#ifndef CFG_DISPLAY_COLOR_8
	#define CFG_DISPLAY_COLOR_8 "#7f7f7f"
#endif

#ifndef CFG_DISPLAY_COLOR_9
	#define CFG_DISPLAY_COLOR_9 "#ff0000"
#endif

#ifndef CFG_DISPLAY_COLOR_10
	#define CFG_DISPLAY_COLOR_10 "#00ff00"
#endif

#ifndef CFG_DISPLAY_COLOR_11
	#define CFG_DISPLAY_COLOR_11 "#ffff00"
#endif

#ifndef CFG_DISPLAY_COLOR_12
	#define CFG_DISPLAY_COLOR_12 "#63b8ff"
#endif

#ifndef CFG_DISPLAY_COLOR_13
	#define CFG_DISPLAY_COLOR_13 "#ff00ff"
#endif

#ifndef CFG_DISPLAY_COLOR_14
	#define CFG_DISPLAY_COLOR_14 "#00ffff"
#endif

#ifndef CFG_DISPLAY_COLOR_15
	#define CFG_DISPLAY_COLOR_15 "#ffffff"
#endif

#endif // VGA_COLORS

#ifndef CFG_DISPLAY_BELL_LENGTH
	#define CFG_DISPLAY_BELL_LENGTH 150
#endif

#ifndef CFG_DISPLAY_BELL_TEXT
	#define CFG_DISPLAY_BELL_TEXT "[bell]"
#endif

#ifndef CFG_DISPLAY_CLICK_FREQ
	#define CFG_DISPLAY_CLICK_FREQ 100
#endif

#include "display/interface.h"

