#ifndef HAVE_IO
typedef struct io_instance_s {
	int unknown;
} io_instance_t;

/* Cerate a new IO instance */
io_instance_t *io_create(void *emu);

/* Destroy an IO instance */
void io_destroy(io_instance_t *io);

/* We got user input to be submitted to the process */
void io_got_user_input(io_instance_t *io, unsigned char data);

/* Send control to the process */
void io_control(io_instance_t *i, ctrl_t ctrl);

void io_set_shell(char *shell_, char *shell_args_[]);

int io_get_master(io_instance_t *io);


#error No IO module has been selected.

#endif
