typedef enum display_timer_cmd_e {
	timer_created,
	timer_run,
	timer_free,
} display_timer_cmd_t;

/* Create a new timer and return a pointer to the timer */
void *display_timer_create(int ttl, void (*callback)(display_timer_cmd_t cmd, void *cookie), void *cookie);

/* Delete an active timer */
void display_timer_delete(void *timer);

/* Change the ttl field of an existing timer */
void display_timer_set_ttl(void *timer, int ttl);



/* Run all timers (for internal use, don't call it) */
void display_timer_run();
