#ifndef global_h
#define global_h
#include <stdio.h>

typedef enum ctrl_e {
	ctrl_hup,
	ctrl_term,
	ctrl_resize,
} ctrl_t;

extern int verbose;
extern FILE *log_file;

#define log_printf(level, x...) \
	do { \
		if ((log_file != NULL) && (level >= verbose)) {\
			fprintf(log_file, x); \
			fflush(log_file); \
		} \
	} while(0);

#endif
